Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.io.formatter
Interface Formatter

All Known Implementing Classes:
  AbstractCurveFormatter, AbstractCurveFormatter, AbstractCurveFormatter, JPICCircleFormatter, JPICEllipseFormatter, JPICFormatter.DrawingFormatter, JPICGroupFormatter, JPICMultiCurveFormatter, JPICParallelogramFormatter, JPICPsCurveFormatter, JPICSmoothPolygonFormatter, JPICTextFormatter, LatexFormatter.DrawingFormatter, PicEllipseFormatter, PicEllipseFormatter, PicGroupFormatter, PicParallelogramFormatter, PicParallelogramFormatter, PicParallelogramFormatter, PicTextFormatter, PicTextFormatter, PstricksFormatter.DrawingFormatter

public interface Formatter

An interface that specifies shared formatting behaviours for Element's.

[pending] change "String format" to "void format(Writer)" and "void format(Stream)" to allow some formatter to write binary data (i.e. serialization ?)

Since:
  jpicedt 1.3.2
Author:
  Sylvain Reynal.

Method Summary
`String` | `format()` Create a String representing an Element in the format of this formatter

Method Detail

### format

    public String format()

  Create a String representing an Element in the format of this formatter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org